Maven Helper

Compatible with:  IntelliJ IDEA Android Studio
18.05.2016
80 280
Provides:
  • actions to run/debug the current test file.
    If maven-surefire-plugin is configured to skip or exclude the test, 'verify' goal will be used, see different configuration styles at https://github.com/harishkannarao/MavenSurefireFailsafeExamples
  • actions to run/debug maven goals for a module that contains the current file
  • easy way to find and exclude conflicting dependencies

Usage:
  • Right click in Editor | Run Maven
  • Right click in Project View Toolbar | Run Maven
  • CTRL + ALT + R - "Quick Run Maven Goal" action

  • Customize goals: Settings | (Other Settings) | Maven Helper
  • Define shortcuts: Settings | Keymap | Plug-ins | Maven Helper

  • Open pom file, click on 'Dependency Analyzer' tab, right click in the tree for context actions.

Download plugin

Recent change notes


3.1
- fixed false positive of warning message
3.0
- IntelliJ 2016.2 EAP compatibility
2.9
- IntelliJ 2016 compatibility
2.8
- Dependency Analyzer improvements: new All Dependencies Tree, improved excluding and jumping into source
2.7
- IJ 15 compatibility
2.6
- button for fixing IDEA-133331
2.5
- support for maven-failsafe-plugin, and maven-surefire-plugin integration tests
- ability to define shortcuts for Run/Debug Current File action
2.4
- debug parameters changed to: -DforkMode=never -DforkCount=0 -DreuseForks=false
2.3
- exception fix for IJ 140.2110
- check for IDEA-133331
2.2 - recompiled for IJ 138.1503
2.1 - added quick switch action "Quick Run Maven Goal" - CTRL + ALT + R
2.0 - fixed "no conflicts" field
...
meo
20.11.2014
Thanks. It is not possible, that's why I run tests and start Jetty/Tomcat programmatically by IntelliJ, and not by Maven.
20.11.2014
Really great! A must have plugin. BTW, is there any way of using project modules artifacts instead of repository installed ones as dependencies when running a Maven goal ? TIA
meo
29.08.2014
Of course 2.2.138.1503 did not work, and if you are really sure that 2.1.13 also, then you should file an issue http://youtrack.jetbrains.com/issues/IDEA
Anonymous
28.08.2014
I d/l the latest 2.2.138.1503 and it did not work, but I also had the previous 2.1.13. and it too did not work. Again, I've seen postings for several other plugins so I doubt it's the plugin, but something in IntelliJ when loading from a local jar.
meo
28.08.2014
And which plugin version do you try to install and does not work?
Anonymous
28.08.2014
If you install fresh 13.1.4 IU-135.1230 as I did this morning and do NOT copy your settings over, then try to install the plugin from local disk you should see the error as I did. But, if you import settings from previous IntelliJ it works. If you download from URL it works.
meo
28.08.2014
I have never had an issue with it, but many people install manually the newest version which is not compatible- as can be seen in Since-Until Build columns.
Anonymous
28.08.2014
I see for this and other plugins complaints about XXX is incompatible with current installation. This happens to me also on this Maven Helper plugin when I load the plugin from disk - but works when I browse to it via URL. Maybe an IntelliJ bug ?
29.07.2014
Works perfectly, my previous comment was not right it was a faulty install on my part. The author is very cool indeed and helped me debuged the issue. As for the exclusions etc works without any issues! :D
meo
29.07.2014
It is not in the right click menu (I could probably add it), it is in the editor bottom tabs when you open pom.xml.
29.07.2014
Hi, Sorry, but has anyone used this on Mac ? (I'm on version 12 Ultimate) I can't seem to find where to access this conflicts screen. I only have the four options on the dependency viewer .... Analyse backward dependencies, Analyse module dependencies, Analyse dependencies matrix, Analyse cyclic dependencies I can't see any other options from right click menu in POM or anywhere else, if somone could point me in the right direction that would be great.
17.07.2014
Excellent plugin.
meo
03.07.2014
Yes, in Settings.
Anonymous
03.07.2014
The plugin is awesome. Theres one thing that I dont see how to do. Is there a way to remove goals that you added to the context menu?
meo
02.07.2014
Did you install 2.0.13, or let IntelliJ to install the right version?
Please  sign in  to leave a comment.